=== debian/changelog ===
rust-blake3 (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.8.1 from crates.io using debcargo 2.7.8
  * Relax rand to 0.8

 -- Blair Noctis <ncts@debian.org>  Wed, 09 Apr 2025 19:52:18 +0000
