=== debian/control ===
Source: rust-blake3
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~) <!nocheck>,
 librust-arrayvec-0.7-dev (>= 0.7.4-~~) <!nocheck>,
 librust-cc-1+default-dev (>= 1.1.12-~~) <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-constant-time-eq-0.3-dev (>= 0.3.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 karthek <mail@karthek.com>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/blake3]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/blake3
Homepage: https://github.com/BLAKE3-team/BLAKE3
X-Cargo-Crate: blake3
Rules-Requires-Root: no

Package: librust-blake3-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~),
 librust-arrayvec-0.7+zeroize-dev (>= 0.7.4-~~),
 librust-arrayvec-0.7-dev (>= 0.7.4-~~),
 librust-cc-1+default-dev (>= 1.1.12-~~),
 librust-cfg-if-1+default-dev,
 librust-constant-time-eq-0.3-dev (>= 0.3.1-~~),
 librust-digest-0.10+default-dev (>= 0.10.1-~~),
 librust-digest-0.10+mac-dev (>= 0.10.1-~~),
 librust-memmap2-0.9+default-dev,
 librust-rayon-core-1+default-dev (>= 1.12.1-~~),
 librust-serde-1+derive-dev,
 librust-zeroize-1-dev
Provides:
 librust-blake3+default-dev (= ${binary:Version}),
 librust-blake3+digest-dev (= ${binary:Version}),
 librust-blake3+mmap-dev (= ${binary:Version}),
 librust-blake3+neon-dev (= ${binary:Version}),
 librust-blake3+no-avx2-dev (= ${binary:Version}),
 librust-blake3+no-avx512-dev (= ${binary:Version}),
 librust-blake3+no-neon-dev (= ${binary:Version}),
 librust-blake3+no-sse2-dev (= ${binary:Version}),
 librust-blake3+no-sse41-dev (= ${binary:Version}),
 librust-blake3+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3+pure-dev (= ${binary:Version}),
 librust-blake3+rayon-dev (= ${binary:Version}),
 librust-blake3+serde-dev (= ${binary:Version}),
 librust-blake3+std-dev (= ${binary:Version}),
 librust-blake3+traits-preview-dev (= ${binary:Version}),
 librust-blake3+wasm32-simd-dev (= ${binary:Version}),
 librust-blake3+zeroize-dev (= ${binary:Version}),
 librust-blake3-1-dev (= ${binary:Version}),
 librust-blake3-1+default-dev (= ${binary:Version}),
 librust-blake3-1+digest-dev (= ${binary:Version}),
 librust-blake3-1+mmap-dev (= ${binary:Version}),
 librust-blake3-1+neon-dev (= ${binary:Version}),
 librust-blake3-1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1+pure-dev (= ${binary:Version}),
 librust-blake3-1+rayon-dev (= ${binary:Version}),
 librust-blake3-1+serde-dev (= ${binary:Version}),
 librust-blake3-1+std-dev (= ${binary:Version}),
 librust-blake3-1+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1+wasm32-simd-dev (= ${binary:Version}),
 librust-blake3-1+zeroize-dev (= ${binary:Version}),
 librust-blake3-1.8-dev (= ${binary:Version}),
 librust-blake3-1.8+default-dev (= ${binary:Version}),
 librust-blake3-1.8+digest-dev (= ${binary:Version}),
 librust-blake3-1.8+mmap-dev (= ${binary:Version}),
 librust-blake3-1.8+neon-dev (= ${binary:Version}),
 librust-blake3-1.8+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.8+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.8+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.8+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.8+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.8+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.8+pure-dev (= ${binary:Version}),
 librust-blake3-1.8+rayon-dev (= ${binary:Version}),
 librust-blake3-1.8+serde-dev (= ${binary:Version}),
 librust-blake3-1.8+std-dev (= ${binary:Version}),
 librust-blake3-1.8+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.8+wasm32-simd-dev (= ${binary:Version}),
 librust-blake3-1.8+zeroize-dev (= ${binary:Version}),
 librust-blake3-1.8.1-dev (= ${binary:Version}),
 librust-blake3-1.8.1+default-dev (= ${binary:Version}),
 librust-blake3-1.8.1+digest-dev (= ${binary:Version}),
 librust-blake3-1.8.1+mmap-dev (= ${binary:Version}),
 librust-blake3-1.8.1+neon-dev (= ${binary:Version}),
 librust-blake3-1.8.1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.8.1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.8.1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.8.1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.8.1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.8.1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.8.1+pure-dev (= ${binary:Version}),
 librust-blake3-1.8.1+rayon-dev (= ${binary:Version}),
 librust-blake3-1.8.1+serde-dev (= ${binary:Version}),
 librust-blake3-1.8.1+std-dev (= ${binary:Version}),
 librust-blake3-1.8.1+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.8.1+wasm32-simd-dev (= ${binary:Version}),
 librust-blake3-1.8.1+zeroize-dev (= ${binary:Version})
Description: BLAKE3 hash function - Rust source code
 Source code for Debianized Rust crate "blake3"
