## rust-blake3 1.8.2

=== debian/changelog ===
rust-blake3 (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.8.2 from crates.io using debcargo 2.8.0

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 16 Feb 2026 18:14:35 +0100

rust-blake3 (1.8.1-2) experimental; urgency=medium

  * Team upload.
  * Package blake3 1.8.1 from crates.io using debcargo 2.8.0
  * Enable build of libblake3-0 / libblake3-dev (Closes: #1107091, thanks наб!)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 15 Feb 2026 17:50:29 +0100
