=== debian/control ===
--- 
+++ 
@@ -1,41 +1,41 @@
 Source: rust-blake3
 Section: rust
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo
+ dh-sequence-cargo,
+ cmake
 Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
- librust-arrayref-0.3+default-dev (>= 0.3.5-~~) <!nocheck>,
- librust-arrayvec-0.7-dev (>= 0.7.4-~~) <!nocheck>,
- librust-cc-1+default-dev (>= 1.1.12-~~) <!nocheck>,
+ librust-arrayref-0.3+default-dev (>= 0.3.5) <!nocheck>,
+ librust-arrayvec-0.7-dev (>= 0.7.4) <!nocheck>,
+ librust-cc-1+default-dev (>= 1.1.12) <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
- librust-constant-time-eq-0.3-dev (>= 0.3.1-~~) <!nocheck>
+ librust-constant-time-eq-0.3-dev (>= 0.3.1) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  karthek <mail@karthek.com>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/blake3]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/blake3
 Homepage: https://github.com/BLAKE3-team/BLAKE3
 X-Cargo-Crate: blake3
-Rules-Requires-Root: no
+X-Cargo-Crate-Version: 1.8.2
 
 Package: librust-blake3-dev
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- librust-arrayref-0.3+default-dev (>= 0.3.5-~~),
- librust-arrayvec-0.7+zeroize-dev (>= 0.7.4-~~),
- librust-arrayvec-0.7-dev (>= 0.7.4-~~),
- librust-cc-1+default-dev (>= 1.1.12-~~),
+ librust-arrayref-0.3+default-dev (>= 0.3.5),
+ librust-arrayvec-0.7+zeroize-dev (>= 0.7.4),
+ librust-arrayvec-0.7-dev (>= 0.7.4),
+ librust-cc-1+default-dev (>= 1.1.12),
  librust-cfg-if-1+default-dev,
- librust-constant-time-eq-0.3-dev (>= 0.3.1-~~),
- librust-digest-0.10+default-dev (>= 0.10.1-~~),
- librust-digest-0.10+mac-dev (>= 0.10.1-~~),
+ librust-constant-time-eq-0.3-dev (>= 0.3.1),
+ librust-digest-0.10+default-dev (>= 0.10.1),
+ librust-digest-0.10+mac-dev (>= 0.10.1),
  librust-memmap2-0.9+default-dev,
- librust-rayon-core-1+default-dev (>= 1.12.1-~~),
+ librust-rayon-core-1+default-dev (>= 1.12.1),
  librust-serde-1+derive-dev,
  librust-zeroize-1-dev
 Provides:
@@ -92,23 +92,46 @@
  librust-blake3-1.8+traits-preview-dev (= ${binary:Version}),
  librust-blake3-1.8+wasm32-simd-dev (= ${binary:Version}),
  librust-blake3-1.8+zeroize-dev (= ${binary:Version}),
- librust-blake3-1.8.1-dev (= ${binary:Version}),
- librust-blake3-1.8.1+default-dev (= ${binary:Version}),
- librust-blake3-1.8.1+digest-dev (= ${binary:Version}),
- librust-blake3-1.8.1+mmap-dev (= ${binary:Version}),
- librust-blake3-1.8.1+neon-dev (= ${binary:Version}),
- librust-blake3-1.8.1+no-avx2-dev (= ${binary:Version}),
- librust-blake3-1.8.1+no-avx512-dev (= ${binary:Version}),
- librust-blake3-1.8.1+no-neon-dev (= ${binary:Version}),
- librust-blake3-1.8.1+no-sse2-dev (= ${binary:Version}),
- librust-blake3-1.8.1+no-sse41-dev (= ${binary:Version}),
- librust-blake3-1.8.1+prefer-intrinsics-dev (= ${binary:Version}),
- librust-blake3-1.8.1+pure-dev (= ${binary:Version}),
- librust-blake3-1.8.1+rayon-dev (= ${binary:Version}),
- librust-blake3-1.8.1+serde-dev (= ${binary:Version}),
- librust-blake3-1.8.1+std-dev (= ${binary:Version}),
- librust-blake3-1.8.1+traits-preview-dev (= ${binary:Version}),
- librust-blake3-1.8.1+wasm32-simd-dev (= ${binary:Version}),
- librust-blake3-1.8.1+zeroize-dev (= ${binary:Version})
+ librust-blake3-1.8.2-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+default-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+digest-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+mmap-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+neon-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+no-avx2-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+no-avx512-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+no-neon-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+no-sse2-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+no-sse41-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+prefer-intrinsics-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+pure-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+rayon-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+serde-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+std-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+traits-preview-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+wasm32-simd-dev (= ${binary:Version}),
+ librust-blake3-1.8.2+zeroize-dev (= ${binary:Version})
 Description: BLAKE3 hash function - Rust source code
  Source code for Debianized Rust crate "blake3"
+
+Package: libblake3-dev
+Architecture: any
+Section: libdevel
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libblake3-0 (=${binary:Version})
+Description: BLAKE3 hash function - C library - development files
+ BLAKE3 is a cryptographic hash function that is much faster than common
+ alternatives, while at the same time being faster and highly parallelizable.
+ This package contains the development support files.
+
+Package: libblake3-0
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: BLAKE3 hash function - C library - shared library
+ BLAKE3 is a cryptographic hash function that is much faster than common
+ alternatives, while at the same time being faster and highly parallelizable.
+ This package contains the shared library.
