=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets --all-features
Features: test-name=rust-blake3:@
Depends: dh-cargo (>= 33~), rustc, librust-ciborium-0.2+default-dev (>= 0.2.2), librust-hex-0.4+default-dev (>= 0.4.2), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev (>= 0.3.1), librust-serde-json-1+default-dev (>= 1.0.107), librust-tempfile-3+default-dev (>= 3.8.0), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets
Features: test-name=librust-blake3-dev:default
Depends: dh-cargo (>= 33~), rustc, librust-ciborium-0.2+default-dev (>= 0.2.2), librust-hex-0.4+default-dev (>= 0.4.2), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev (>= 0.3.1), librust-serde-json-1+default-dev (>= 1.0.107), librust-tempfile-3+default-dev (>= 3.8.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets --no-default-features --features digest
Features: test-name=librust-blake3-dev:digest
Depends: dh-cargo (>= 33~), rustc, librust-ciborium-0.2+default-dev (>= 0.2.2), librust-hex-0.4+default-dev (>= 0.4.2), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev (>= 0.3.1), librust-serde-json-1+default-dev (>= 1.0.107), librust-tempfile-3+default-dev (>= 3.8.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets --no-default-features --features mmap
Features: test-name=librust-blake3-dev:mmap
Depends: dh-cargo (>= 33~), rustc, librust-ciborium-0.2+default-dev (>= 0.2.2), librust-hex-0.4+default-dev (>= 0.4.2), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev (>= 0.3.1), librust-serde-json-1+default-dev (>= 1.0.107), librust-tempfile-3+default-dev (>= 3.8.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets --no-default-features --features neon
Features: test-name=librust-blake3-dev:neon
Depends: dh-cargo (>= 33~), rustc, librust-ciborium-0.2+default-dev (>= 0.2.2), librust-hex-0.4+default-dev (>= 0.4.2), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev (>= 0.3.1), librust-serde-json-1+default-dev (>= 1.0.107), librust-tempfile-3+default-dev (>= 3.8.0), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.8.2 --all-targets --no-default-features --features no_avx2
Features: test-name=librust-blake3-dev:no_avx2
